Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 16 Sep 2014, 19:47
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Drivers
HP 1020 Plus Drivers for Puppy 5 Kernel 2.6.33.2
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [2 Posts]  
Author Message
sri_sssitc

Joined: 19 Jun 2010
Posts: 5

PostPosted: Sun 20 Feb 2011, 04:01    Post subject:  HP 1020 Plus Drivers for Puppy 5 Kernel 2.6.33.2
Subject description: HP 1020 Plus Drivers for Puppy 5 Kernel 2.6.33.2
 

I have tried the following and they dint work.

1. cups printer wizard of puppy detects the printer as hp1020 (not as hp 1020 PLUS which the printer is).

2. ppd file from foo2zjs from openprinting website. Added a printer on to the Cups printer list. But failed to print. Job can be seen in the queue but printing dint happen. Printer connected to the usb port. Also foo2zjs doesnt mention the PLUS part of 1020 plus.

3. Tried the foo2xxx_r220909-0.0-i486.pet posted in another thread regarding printers.

Anyone can share a .ppd file or .pet file for HP 1020 PLUS ?

Also, apart from picking a .ppd file from a folder for the cups printer wizard, do I need to do anything else ?

My print queue in the cups printer wizard looks like this :

HP_LaserJet_1020-20 abiword job #1 root 28k Unknown stopped
"/usr/lib/cups/filter/foomatic-rip failed"

HP_LaserJet_1020-21 abiword job #2 root 28k Unknown stopped
"/usr/lib/cups/filter/foomatic-rip failed"

HP_LaserJet_1020-22 abiword job #3 root 28k Unknown stopped
"/usr/lib/cups/filter/foomatic-rip failed"
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 9106
Location: Stratford, Ontario

PostPosted: Sun 20 Feb 2011, 13:35    Post subject:  

First of all, a PPD file is just a configuration file. It is almost never sufficient to install a printer.

Your best bet for installing a 1020 Plus was the foo2xxx_r220909-0.0-i486.pet, but it didn't work. Its source is here, which supports the 1020, but not the 1020 Plus.

HP's own site here claims to support your printer. But it is one of a few models that requires a firmware plug-in, which is only available through HP. You can try downloading their official installer, but it doesn't play well with Puppy.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [2 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Drivers
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0390s ][ Queries: 12 (0.0034s) ][ GZIP on ]